<template>
  <div class="container joy-wrapper">
    <div class="centered">
      <form @submit.prevent="handleLogin" method="post" v-if="!isLogged">

        <h1>Login for dev environment only</h1>

        <div>
          <p>
            <label for="username">Username or Email</label>
            <input type="text"  v-model="username"/>
          </p>
        </div>

        <div>
          <p>
            <label for="password">Username or Email</label>
            <input type="password"  v-model="password"/>
          </p>
        </div>

        <button @click.prevent="handleLogin" type="submit">Login</button>


        <br/>

        <div v-if="message" >{{message}}</div>

      </form>

    </div>
  </div>
</template>
<script setup lang="ts">
import {ref} from "vue";
import {useAuth} from '../store/auth.store';
import {navigateTo} from "nuxt/app";
const store = useAuth();

const username = ref('');
const password = ref('');
const message = ref('');
const isLogged = ref(false);
const currentUser = ref(null);


function handleLogin() {
  store.login(username.value, password.value);
  isLogged.value = store.state.status.loggedIn;
  currentUser.value = store.state.user
  if (isLogged.value) {
    navigateTo('/');
  }
}

function logout() {
  store.logout();
  isLogged.value = false;
}

isLogged.value = store.isLogged();
if (isLogged.value) {
  currentUser.value = store.state.user
}

</script>
